Subject: Re: [PATCH v10 3/3] arm64: dts: sparx5: Add SGPIO devices

From: Lars Povlsen <[email-masked]>
Date: Tue, 22 Dec 2020 15:58:14 +0100

Andrew Lunn writes:

> On Tue, Dec 22, 2020 at 11:09:41AM +0100, Lars Povlsen wrote:
>>
>> Andrew Lunn writes:
>>
>> > On Fri, Nov 13, 2020 at 03:51:51PM +0100, Lars Povlsen wrote:
>> >> +             led@8 {
>> >> +                     label = "eth12:green";
>> >> +                     gpios = <&sgpio_out0 12 0 GPIO_ACTIVE_HIGH>;
>> >> +                     default-state = "off";
>> >> +             };
>> >> +             led@9 {
>> >> +                     label = "eth12:yellow";
>> >> +                     gpios = <&sgpio_out0 12 1 GPIO_ACTIVE_HIGH>;
>> >> +                     default-state = "off";
>> >> +             };
>> >
>> > Hi Lars
>> >
>> > I did not see these patches earlier, but i've been looking at the
>> > switch driver patches recently, so went digging.
>> >
>> > Can the Ethernet switch itself control these LEDs for indicating
>> > things like packet receive/transmit, link state, and link speed? Or
>> > are they purely software controlled?
>> >
>> >     Thanks
>> >         Andrew
>>
>> Hi Andrew!
>>
>> No, the SGPIO device is separate from the switch device as such. I was
>> planning to couple the two by means of "led events" in a later patch.
>
> O.K, good.
>
> In the LED subsystem terminology, such an event would be a
> trigger. Link state, and copper speed should already be mostly covered
> by phylib triggers. What is missing is link activity.  Does the switch
> easily provide you with this information, or do you need to poll the
> switch statistics counters every 10ms to blink the LEDs?
>
>      Andrew

Hi Andrew!

I am so thrilled with your interest and level of scrutiny! Thank you!

And yes, I meant "LED trigger". The SGPIO's actually have a "blink" mode
on their own, which I was planning to enable at a later time. But yes,
you would still need some polling, but a somewhat lower rate, f.ex. 1
second. At that time, you could change between steady and blink mode.

Again, that your for the level of effort you contribute to the switch
driver, it is highly appreciated.

Cheers,

---Lars

--
Lars Povlsen,
Microchip

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel